#ifndef __PCH_H
#define __PCH_H

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/sem.h>
#include <errno.h>
#include <dlfcn.h>
#include <fnmatch.h>

#include <dotconf.h>

#include <cstdarg>
#include <cassert>
#include <iostream>
#include <fstream>

#include <vector>
using namespace std;

#include <konforka/exception.h>

#include "sitecing/acomponent.h"
#include "sitecing/cgi_component.h"
#include "sitecing/component_factory.h"
#include "sitecing/sitecing_util.h"
#include "sitecing/sitecing_exception.h"
#include "sitecing/component_so.h"
#include "sitecing/configuration.h"
#include "sitecing/file_factory.h"
#include "sitecing/sitecing_interface_cgi.h"
#include "sitecing/sitespace.h"
#include "sitecing/util.h"
#include "sitecing/scoreboard.h"
#include "sitecing/process_manager.h"

#include "sitecing/sitecing_parser.h"
#include "sitecing/sitecing_enflesher.h"

#endif /* __PCH_H */
